<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__syspm__data__enumerates" kind="group">
    <compoundname>group_syspm_data_enumerates</compoundname>
    <title>Enumerated Types</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__syspm__data__enumerates_1ga601b1cb722cb091133caf33d8ab235ca" kind="enum" prot="public" static="no">
        <name>cy_en_syspm_status_t</name>
        <enumvalue id="group__group__syspm__data__enumerates_1gga601b1cb722cb091133caf33d8ab235caaf00d22f1ee891a8a56f8bbf58132e775" prot="public">
          <name>CY_SYSPM_SUCCESS</name>
          <initializer>= 0x0U</initializer>
          <briefdescription>
<para>Successful. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1gga601b1cb722cb091133caf33d8ab235caa6fdc8eb4acb4311a17b4da53c13f212e" prot="public">
          <name>CY_SYSPM_BAD_PARAM</name>
          <initializer>= CY_SYSPM_ID | CY_PDL_STATUS_ERROR | 0x01U</initializer>
          <briefdescription>
<para>One or more invalid parameters. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1gga601b1cb722cb091133caf33d8ab235caaa5235017680123b2ee29b7acb4097783" prot="public">
          <name>CY_SYSPM_TIMEOUT</name>
          <initializer>= CY_SYSPM_ID | CY_PDL_STATUS_ERROR | 0x02U</initializer>
          <briefdescription>
<para>A time-out occurred. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1gga601b1cb722cb091133caf33d8ab235caa20b37dcecbdb4411c478fc815f220395" prot="public">
          <name>CY_SYSPM_INVALID_STATE</name>
          <initializer>= CY_SYSPM_ID | CY_PDL_STATUS_ERROR | 0x03U</initializer>
          <briefdescription>
<para>The operation is not setup or is in an improper state. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1gga601b1cb722cb091133caf33d8ab235caacad53db6897a2250ccecf9ddfb8acfe1" prot="public">
          <name>CY_SYSPM_CANCELED</name>
          <initializer>= CY_SYSPM_ID | CY_PDL_STATUS_ERROR | 0x04U</initializer>
          <briefdescription>
<para>Operation canceled. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1gga601b1cb722cb091133caf33d8ab235caaac46b17684c22f6445521c0c0d4e4f7f" prot="public">
          <name>CY_SYSPM_SYSCALL_PENDING</name>
          <initializer>= CY_SYSPM_ID | CY_PDL_STATUS_ERROR | 0x05U</initializer>
          <briefdescription>
<para>Canceled due syscall operation pending. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1gga601b1cb722cb091133caf33d8ab235caa5e406c6cb40fdf6663df0208737d4f11" prot="public">
          <name>CY_SYSPM_FAIL</name>
          <initializer>= CY_SYSPM_ID | CY_PDL_STATUS_ERROR | 0xFFU</initializer>
          <briefdescription>
<para>Unknown failure. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_syspm_status_t: </bold><linebreak />The SysPm function return value status definitions.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1531" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="1521" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1522" />
      </memberdef>
      <memberdef id="group__group__syspm__data__enumerates_1gaae6a9f528630a2d69bb70b3bced1f0ac" kind="enum" prot="public" static="no">
        <name>cy_en_syspm_waitfor_t</name>
        <enumvalue id="group__group__syspm__data__enumerates_1ggaae6a9f528630a2d69bb70b3bced1f0acadf47e50b6700c08b6f9e7e70bb525541" prot="public">
          <name>CY_SYSPM_WAIT_FOR_INTERRUPT</name>
          <briefdescription>
<para>Wait for an interrupt. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1ggaae6a9f528630a2d69bb70b3bced1f0acacc703b5685bd7283204add2ff91487a5" prot="public">
          <name>CY_SYSPM_WAIT_FOR_EVENT</name>
          <briefdescription>
<para>Wait for an event. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_syspm_waitfor_t: </bold><linebreak />This enumeration is used to initialize the functions wait action.</para></briefdescription>
        <detaileddescription>
<para>The wait actions can be - an interrupt or an event. Refer to the CMSIS for WFE and WFI instruction explanations. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1541" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="1537" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1538" />
      </memberdef>
      <memberdef id="group__group__syspm__data__enumerates_1ga369b76c2e602edf09ede9f8f804e066e" kind="enum" prot="public" static="no">
        <name>cy_en_syspm_hibernate_wakeup_source_t</name>
        <enumvalue id="group__group__syspm__data__enumerates_1gga369b76c2e602edf09ede9f8f804e066ea21ccdb0596ce5097ca95c700e46e24cf" prot="public">
          <name>CY_SYSPM_HIBERNATE_LPCOMP0_LOW</name>
          <initializer>= CY_SYSPM_HIB_WAKEUP_LPCOMP0_MASK</initializer>
          <briefdescription>
<para>Wake on a low logic level for the LPComp0. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1gga369b76c2e602edf09ede9f8f804e066ea5dbe774244382f2a853050d758a58219" prot="public">
          <name>CY_SYSPM_HIBERNATE_LPCOMP0_HIGH</name>
          <initializer>= CY_SYSPM_HIB_WAKEUP_LPCOMP0_MASK | CY_SYSPM_HIB_WAKEUP_LPCOMP0_POLARITY_HIGH_MASK</initializer>
          <briefdescription>
<para>Wake on a high logic level for the LPComp0. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1gga369b76c2e602edf09ede9f8f804e066ea0f007ca3a1825af5b66149b11c1e3fde" prot="public">
          <name>CY_SYSPM_HIBERNATE_LPCOMP1_LOW</name>
          <initializer>= CY_SYSPM_HIB_WAKEUP_LPCOMP1_MASK</initializer>
          <briefdescription>
<para>Wake on a low logic level for the LPComp1. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1gga369b76c2e602edf09ede9f8f804e066ea6d3cb9b1184699ca4ecf146c17b7f584" prot="public">
          <name>CY_SYSPM_HIBERNATE_LPCOMP1_HIGH</name>
          <initializer>= CY_SYSPM_HIB_WAKEUP_LPCOMP1_MASK | CY_SYSPM_HIB_WAKEUP_LPCOMP1_POLARITY_HIGH_MASK</initializer>
          <briefdescription>
<para>Wake on a high logic level for the LPComp1. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1gga369b76c2e602edf09ede9f8f804e066eaf1aa6dc689e0656b696f0b81f7e323c7" prot="public">
          <name>CY_SYSPM_HIBERNATE_RTC_ALARM</name>
          <initializer>= SRSS_PWR_HIBERNATE_MASK_HIBALARM_Msk</initializer>
          <briefdescription>
<para>Configure the RTC alarm as wakeup source. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1gga369b76c2e602edf09ede9f8f804e066ea9570ed816453ab6f93aa42854e56a5b2" prot="public">
          <name>CY_SYSPM_HIBERNATE_WDT</name>
          <initializer>= SRSS_PWR_HIBERNATE_MASK_HIBWDT_Msk</initializer>
          <briefdescription>
<para>Configure the WDT interrupt as wakeup source. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1gga369b76c2e602edf09ede9f8f804e066eacc5b659a29fd73bbd1493d177e1df779" prot="public">
          <name>CY_SYSPM_HIBERNATE_PIN0_LOW</name>
          <initializer>= CY_SYSPM_HIB_WAKEUP_PIN0_MASK</initializer>
          <briefdescription>
<para>Configure a low logic level for the first wakeup-pin. </para>          </briefdescription>
          <detaileddescription>
<para>See device datasheet for specific pin. </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1gga369b76c2e602edf09ede9f8f804e066eab23bab5f569ddfcfa2cf568d71236d65" prot="public">
          <name>CY_SYSPM_HIBERNATE_PIN0_HIGH</name>
          <initializer>= CY_SYSPM_HIB_WAKEUP_PIN0_MASK | CY_SYSPM_HIB_WAKEUP_PIN0_POLARITY_HIGH_MASK</initializer>
          <briefdescription>
<para>Configure a high logic level for the first wakeup-pin. </para>          </briefdescription>
          <detaileddescription>
<para>See device datasheet for specific pin. </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1gga369b76c2e602edf09ede9f8f804e066ead5001e9a51ef03bfb5df8a6953f17199" prot="public">
          <name>CY_SYSPM_HIBERNATE_PIN1_LOW</name>
          <initializer>= CY_SYSPM_HIB_WAKEUP_PIN1_MASK</initializer>
          <briefdescription>
<para>Configure a low logic level for the second wakeup-pin. </para>          </briefdescription>
          <detaileddescription>
<para>See device datasheet for specific pin. </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1gga369b76c2e602edf09ede9f8f804e066eacb2a6e7c498e704f86f2315833feddcf" prot="public">
          <name>CY_SYSPM_HIBERNATE_PIN1_HIGH</name>
          <initializer>= CY_SYSPM_HIB_WAKEUP_PIN1_MASK | CY_SYSPM_HIB_WAKEUP_PIN1_POLARITY_HIGH_MASK</initializer>
          <briefdescription>
<para>Configure a high logic level for the second wakeup-pin. </para>          </briefdescription>
          <detaileddescription>
<para>See device datasheet for specific pin. </para>          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_syspm_hibernate_wakeup_source_t: </bold><linebreak />This enumeration is used to configure wakeup sources for the System Hibernate power mode.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1577" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="1546" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1547" />
      </memberdef>
      <memberdef id="group__group__syspm__data__enumerates_1gaef8ba4a0ee827abcaaf62f950e69496e" kind="enum" prot="public" static="no">
        <name>cy_en_syspm_ldo_voltage_t</name>
        <enumvalue id="group__group__syspm__data__enumerates_1ggaef8ba4a0ee827abcaaf62f950e69496eaee236d7a70299bdd4bb9e9d74d205254" prot="public">
          <name>CY_SYSPM_LDO_VOLTAGE_ULP</name>
          <initializer>= 0U</initializer>
          <briefdescription>
<para>System ULP nominal LDO voltage. </para>          </briefdescription>
          <detaileddescription>
<para>See device datasheet for specific voltage. </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1ggaef8ba4a0ee827abcaaf62f950e69496eaed1d9d509568249e009c801328e8d7a3" prot="public">
          <name>CY_SYSPM_LDO_VOLTAGE_LP</name>
          <initializer>= 1U</initializer>
          <briefdescription>
<para>System LP nominal LDO voltage. </para>          </briefdescription>
          <detaileddescription>
<para>See device datasheet for specific voltage. </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1ggaef8ba4a0ee827abcaaf62f950e69496eaf99e137b7307e92d93c1dec6b834ce33" prot="public">
          <name>CY_SYSPM_LDO_VOLTAGE_0_9V</name>
          <initializer>= 0U</initializer>
          <briefdescription>
<para>0.9 V nominal LDO voltage </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1ggaef8ba4a0ee827abcaaf62f950e69496eafec1860878ca84cdfd201632a1d29689" prot="public">
          <name>CY_SYSPM_LDO_VOLTAGE_1_1V</name>
          <initializer>= 1U</initializer>
          <briefdescription>
<para>1.1 V nominal LDO voltage </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_syspm_ldo_voltage_t: </bold><linebreak />This enumeration is used to select LDO regulator output voltage.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1588" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="1580" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1581" />
      </memberdef>
      <memberdef id="group__group__syspm__data__enumerates_1gab23a08d99fea934c12e01f877c26dd80" kind="enum" prot="public" static="no">
        <name>cy_en_syspm_ldo_mode_t</name>
        <enumvalue id="group__group__syspm__data__enumerates_1ggab23a08d99fea934c12e01f877c26dd80ac37ea1161b8b27b25ccf6fa7e8237819" prot="public">
          <name>CY_SYSPM_LDO_MODE_DISABLED</name>
          <initializer>= 0U</initializer>
          <briefdescription>
<para>Disables the LDO. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1ggab23a08d99fea934c12e01f877c26dd80a621361635c9355755b4820fe8977aa9b" prot="public">
          <name>CY_SYSPM_LDO_MODE_NORMAL</name>
          <initializer>= 1U</initializer>
          <briefdescription>
<para>Sets normal current mode. </para>          </briefdescription>
          <detaileddescription>
<para>See device datasheet for specific maximum current limit. </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1ggab23a08d99fea934c12e01f877c26dd80a67dd6bc1629ba0b6a44679d600febd7d" prot="public">
          <name>CY_SYSPM_LDO_MODE_MIN</name>
          <initializer>= 2U</initializer>
          <briefdescription>
<para>Sets minimum current mode. </para>          </briefdescription>
          <detaileddescription>
<para>See device datasheet for specific current limit. </para>          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_syspm_ldo_mode_t: </bold><linebreak />This enumeration is used to select the LDO regulator operating mode.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1598" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="1591" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1592" />
      </memberdef>
      <memberdef id="group__group__syspm__data__enumerates_1ga3917bcfb5a7b4151ec1b0fcd95c37d5a" kind="enum" prot="public" static="no">
        <name>cy_en_syspm_buck_voltage1_t</name>
        <enumvalue id="group__group__syspm__data__enumerates_1gga3917bcfb5a7b4151ec1b0fcd95c37d5aa0009b3f9bef2d360c1b221cd8c801650" prot="public">
          <name>CY_SYSPM_BUCK_OUT1_VOLTAGE_ULP</name>
          <initializer>= 0x02U</initializer>
          <briefdescription>
<para>System ULP nominal Buck voltage. </para>          </briefdescription>
          <detaileddescription>
<para>See device datasheet for specific voltage. </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1gga3917bcfb5a7b4151ec1b0fcd95c37d5aa0b8ad38048816d6a7fd0dd3ac6e0e2aa" prot="public">
          <name>CY_SYSPM_BUCK_OUT1_VOLTAGE_LP</name>
          <initializer>= 0x05U</initializer>
          <briefdescription>
<para>LP nominal Buck voltage. </para>          </briefdescription>
          <detaileddescription>
<para>See device datasheet for specific voltage. </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1gga3917bcfb5a7b4151ec1b0fcd95c37d5aa52167ac7e4d87b7fb52b704a7821ae65" prot="public">
          <name>CY_SYSPM_BUCK_OUT1_VOLTAGE_0_9V</name>
          <initializer>= 0x02U</initializer>
          <briefdescription>
<para>0.9 V nominal Buck voltage </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1gga3917bcfb5a7b4151ec1b0fcd95c37d5aa6de6ed7b114c74828ab1201648f384fb" prot="public">
          <name>CY_SYSPM_BUCK_OUT1_VOLTAGE_1_1V</name>
          <initializer>= 0x05U</initializer>
          <briefdescription>
<para>1.1 V nominal Buck voltage </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_syspm_buck_voltage1_t: </bold><linebreak />This enumeration is used to select the output voltage for the Buck regulator output 1.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1611" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="1603" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1604" />
      </memberdef>
      <memberdef id="group__group__syspm__data__enumerates_1ga35ca7d1dbdf91fa732f52398652ec4c9" kind="enum" prot="public" static="no">
        <name>cy_en_syspm_buck_out_t</name>
        <enumvalue id="group__group__syspm__data__enumerates_1gga35ca7d1dbdf91fa732f52398652ec4c9a1f86389e9d393fb053d97ea9701e5d97" prot="public">
          <name>CY_SYSPM_BUCK_VBUCK_1</name>
          <initializer>= 0x0U</initializer>
          <briefdescription>
<para>Buck output 1 Voltage (Vbuck1). </para>          </briefdescription>
          <detaileddescription>
<para>Typically used to supply the PSoC digital core logic. </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1gga35ca7d1dbdf91fa732f52398652ec4c9ac4cae6fd90d302b5514103caea274214" prot="public">
          <name>CY_SYSPM_BUCK_VRF</name>
          <briefdescription>
<para>Buck out 2 Voltage (Vbuckrf). </para>          </briefdescription>
          <detaileddescription>
<para>Typically used to supply the BLE radio logic. </para>          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_syspm_buck_out_t: </bold><linebreak />This enumeration is used to select the Buck regulator outputs.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1620" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="1614" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1615" />
      </memberdef>
      <memberdef id="group__group__syspm__data__enumerates_1gaedf345e33e099521cec7154f4477d3d3" kind="enum" prot="public" static="no">
        <name>cy_en_syspm_buck_voltage2_t</name>
        <enumvalue id="group__group__syspm__data__enumerates_1ggaedf345e33e099521cec7154f4477d3d3a604b3675926bad3fe2498fdb914618ec" prot="public">
          <name>CY_SYSPM_BUCK_OUT2_VOLTAGE_1_15V</name>
          <initializer>= 0U</initializer>
          <briefdescription>
<para>1.15 V nominal voltage. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1ggaedf345e33e099521cec7154f4477d3d3a394c1b2841b6abd2a2ed6848d0b0a099" prot="public">
          <name>CY_SYSPM_BUCK_OUT2_VOLTAGE_1_2V</name>
          <initializer>= 1U</initializer>
          <briefdescription>
<para>1.20 V nominal voltage. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1ggaedf345e33e099521cec7154f4477d3d3aafb29a652fbc44d66fe138a8df4e630b" prot="public">
          <name>CY_SYSPM_BUCK_OUT2_VOLTAGE_1_25V</name>
          <initializer>= 2U</initializer>
          <briefdescription>
<para>1.25 V nominal voltage. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1ggaedf345e33e099521cec7154f4477d3d3a743067cec302a610fd029a06af67d2d6" prot="public">
          <name>CY_SYSPM_BUCK_OUT2_VOLTAGE_1_3V</name>
          <initializer>= 3U</initializer>
          <briefdescription>
<para>1.3 V nominal voltage. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1ggaedf345e33e099521cec7154f4477d3d3aaa88d9834db046d0962ed418a5984ed6" prot="public">
          <name>CY_SYSPM_BUCK_OUT2_VOLTAGE_1_35V</name>
          <initializer>= 4U</initializer>
          <briefdescription>
<para>1.35 V nominal voltage. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1ggaedf345e33e099521cec7154f4477d3d3a8e128061c373846505109072b94a701c" prot="public">
          <name>CY_SYSPM_BUCK_OUT2_VOLTAGE_1_4V</name>
          <initializer>= 5U</initializer>
          <briefdescription>
<para>1.4 V nominal voltage. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1ggaedf345e33e099521cec7154f4477d3d3add0098b61dd39ca90aa5f4b29b560281" prot="public">
          <name>CY_SYSPM_BUCK_OUT2_VOLTAGE_1_45V</name>
          <initializer>= 6U</initializer>
          <briefdescription>
<para>1.45 V nominal voltage. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1ggaedf345e33e099521cec7154f4477d3d3a95a824f3a52d327d47991ef25f2d9ab7" prot="public">
          <name>CY_SYSPM_BUCK_OUT2_VOLTAGE_1_5V</name>
          <initializer>= 7U</initializer>
          <briefdescription>
<para>1.5 V nominal voltage. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_syspm_buck_voltage2_t: </bold><linebreak />This enumeration is used to select the output voltage for the Buck regulator output 2, which can source the BLE radio.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1636" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="1626" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1627" />
      </memberdef>
      <memberdef id="group__group__syspm__data__enumerates_1gac8cae3aa3e15bb4ce9e737fdaf5027fc" kind="enum" prot="public" static="no">
        <name>cy_en_syspm_pmic_wakeup_polarity_t</name>
        <enumvalue id="group__group__syspm__data__enumerates_1ggac8cae3aa3e15bb4ce9e737fdaf5027fca84156f57550a70ea36a918fa1cb37c56" prot="public">
          <name>CY_SYSPM_PMIC_POLARITY_LOW</name>
          <initializer>= 0U</initializer>
          <briefdescription>
<para>Set active low logic level for the PMIC input. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1ggac8cae3aa3e15bb4ce9e737fdaf5027fcad632c1c3db90572755db24b8cf14b4ff" prot="public">
          <name>CY_SYSPM_PMIC_POLARITY_HIGH</name>
          <initializer>= 1U</initializer>
          <briefdescription>
<para>Set active high logic level for the PMIC input. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_syspm_pmic_wakeup_polarity_t: </bold><linebreak />This enumeration is used to set the polarity for the PMIC input.</para></briefdescription>
        <detaileddescription>
<para>The PMIC output is automatically enabled when the configured polarity of the PMIC input and the logic level driven to the pmic_wakeup_in pin match.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition warning"&gt;&lt;p class="admonition-title"&gt;warning&lt;/p&gt;&lt;p&gt;&lt;p&gt;Do not use CY_SYSPM_PMIC_POLARITY_LOW as it is not supported by hardware. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1650" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="1646" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1647" />
      </memberdef>
      <memberdef id="group__group__syspm__data__enumerates_1ga07d01979fa53fd8a53203bf362a8add1" kind="enum" prot="public" static="no">
        <name>cy_en_syspm_vddbackup_control_t</name>
        <enumvalue id="group__group__syspm__data__enumerates_1gga07d01979fa53fd8a53203bf362a8add1a8dfb5e9be859a81e6adad5a874de5838" prot="public">
          <name>CY_SYSPM_VDDBACKUP_DEFAULT</name>
          <initializer>= 0U</initializer>
          <briefdescription>
<para>Logic automatically selects Vddd if present or Vbackup if Vddd is not present to supply Vddbackup. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1gga07d01979fa53fd8a53203bf362a8add1a92e63136dca5cbb468d5c756b29b96a0" prot="public">
          <name>CY_SYSPM_VDDBACKUP_VBACKUP</name>
          <initializer>= 2U</initializer>
          <briefdescription>
<para>Sets only Vbackup to supply Vddbackup. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_syspm_vddbackup_control_t: </bold><linebreak />This enumeration selects Vbackup or Vddd to supply Vddbackup.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1658" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="1653" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1654" />
      </memberdef>
      <memberdef id="group__group__syspm__data__enumerates_1gaffbcaa784d215b003d6b95e0620b9fa7" kind="enum" prot="public" static="no">
        <name>cy_en_syspm_sc_charge_key_t</name>
        <enumvalue id="group__group__syspm__data__enumerates_1ggaffbcaa784d215b003d6b95e0620b9fa7ad9281b6f6744e83f380cd0b0c7f2821c" prot="public">
          <name>CY_SYSPM_SC_CHARGE_ENABLE</name>
          <initializer>= 0x3CU</initializer>
          <briefdescription>
<para>Enables supercapacitor charging. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1ggaffbcaa784d215b003d6b95e0620b9fa7a431c9af5b426aba478ee018b0ab5410b" prot="public">
          <name>CY_SYSPM_SC_CHARGE_DISABLE</name>
          <initializer>= 0x00U</initializer>
          <briefdescription>
<para>Disables supercapacitor charging. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_syspm_sc_charge_key_t: </bold><linebreak />This enumeration enables supercapacitor charging.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1665" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="1661" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1662" />
      </memberdef>
      <memberdef id="group__group__syspm__data__enumerates_1gab60333c26a4265095d1d082e5b153cb5" kind="enum" prot="public" static="no">
        <name>cy_en_syspm_flash_voltage_bit_t</name>
        <enumvalue id="group__group__syspm__data__enumerates_1ggab60333c26a4265095d1d082e5b153cb5a00f67a571734d2082ba455115d69e228" prot="public">
          <name>CY_SYSPM_FLASH_VOLTAGE_BIT_LP</name>
          <initializer>= 0U</initializer>
          <briefdescription>
<para>Set the flash voltage bit for system LP mode. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1ggab60333c26a4265095d1d082e5b153cb5a320b4d00d64d07c4fd137ab03fcfd4d8" prot="public">
          <name>CY_SYSPM_FLASH_VOLTAGE_BIT_ULP</name>
          <initializer>= 1U</initializer>
          <briefdescription>
<para>Set the flash voltage bit for system ULP mode. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_syspm_flash_voltage_bit_t: </bold><linebreak />This enumeration configures the flash voltage bit for different system power modes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1672" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="1668" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1669" />
      </memberdef>
      <memberdef id="group__group__syspm__data__enumerates_1ga8c2960c0164ead1cfa86e7d6846b6ff0" kind="enum" prot="public" static="no">
        <name>cy_en_syspm_callback_type_t</name>
        <enumvalue id="group__group__syspm__data__enumerates_1gga8c2960c0164ead1cfa86e7d6846b6ff0ac8d781c074f372d0b201da4e040a4768" prot="public">
          <name>CY_SYSPM_SLEEP</name>
          <initializer>= 0U</initializer>
          <briefdescription>
<para>The Sleep enum callback type. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1gga8c2960c0164ead1cfa86e7d6846b6ff0abc51d74deff0ceea4304b01b2d57bd9d" prot="public">
          <name>CY_SYSPM_DEEPSLEEP</name>
          <initializer>= 1U</initializer>
          <briefdescription>
<para>The Deep Sleep enum callback type. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1gga8c2960c0164ead1cfa86e7d6846b6ff0a613e2f83e3ab88e3569cf34ff0fa5912" prot="public">
          <name>CY_SYSPM_HIBERNATE</name>
          <initializer>= 2U</initializer>
          <briefdescription>
<para>The Hibernate enum callback type. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1gga8c2960c0164ead1cfa86e7d6846b6ff0ad0949249c31aecea66158398786eed7d" prot="public">
          <name>CY_SYSPM_LP</name>
          <initializer>= 3U</initializer>
          <briefdescription>
<para>The Low Power enum callback type. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1gga8c2960c0164ead1cfa86e7d6846b6ff0ad92c91032b83408223c30b9f2e399b71" prot="public">
          <name>CY_SYSPM_ULP</name>
          <initializer>= 4U</initializer>
          <briefdescription>
<para>The Ultra Low Power enum callback type. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_syspm_callback_type_t: </bold><linebreak />This enumeration is used to select the low power mode for which the appropriate registered callback handler will be executed.</para></briefdescription>
        <detaileddescription>
<para>For example, the registered callback of the type CY_SYSPM_SLEEP will be executed while switching into the Sleep power mode. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1687" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="1680" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1681" />
      </memberdef>
      <memberdef id="group__group__syspm__data__enumerates_1gae06cd8869fe61d709ad6145ca9f3cd63" kind="enum" prot="public" static="no">
        <name>cy_en_syspm_callback_mode_t</name>
        <enumvalue id="group__group__syspm__data__enumerates_1ggae06cd8869fe61d709ad6145ca9f3cd63ab7ec706d80b347433d0063f2a8115784" prot="public">
          <name>CY_SYSPM_CHECK_READY</name>
          <initializer>= 0x01U</initializer>
          <briefdescription>
<para>Callbacks with this mode are executed before entering into the low power mode. </para>          </briefdescription>
          <detaileddescription>
<para>The purpose of his callback function is to check if the device is ready to enter the low power mode. </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1ggae06cd8869fe61d709ad6145ca9f3cd63a96acf2d0ae5537798228d5fba0fecd17" prot="public">
          <name>CY_SYSPM_CHECK_FAIL</name>
          <initializer>= 0x02U</initializer>
          <briefdescription>
<para>Callbacks with this mode are executed after the CY_SYSPM_CHECK_READY callbacks execution returns CY_SYSPM_FAIL. </para>          </briefdescription>
          <detaileddescription>
<para>The callback with the CY_SYSPM_CHECK_FAIL mode should roll back the actions performed in the previously executed callback with CY_SYSPM_CHECK_READY </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1ggae06cd8869fe61d709ad6145ca9f3cd63a7d302375276b3b5f250a8208c999b558" prot="public">
          <name>CY_SYSPM_BEFORE_TRANSITION</name>
          <initializer>= 0x04U</initializer>
          <briefdescription>
<para>Callbacks with this mode are executed after the CY_SYSPM_CHECK_READY callbacks execution returns CY_SYSPM_SUCCESS. </para>          </briefdescription>
          <detaileddescription>
<para>Performs the actions to be done before entering into the low power mode. </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__syspm__data__enumerates_1ggae06cd8869fe61d709ad6145ca9f3cd63aafd1db1f7f86ac7bbd18d59b78af5693" prot="public">
          <name>CY_SYSPM_AFTER_TRANSITION</name>
          <initializer>= 0x08U</initializer>
          <briefdescription>
<para>Performs the actions to be done after exiting the low power mode if entered. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_syspm_callback_mode_t: </bold><linebreak />This enumeration specifies the associated callback mode.</para></briefdescription>
        <detaileddescription>
<para>This enum defines the callback mode. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1706" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="1690" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1691" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>